curl --request GET \
--url https://{api_endpoint}/api/v1/orchestrate/agent/{agent_id}/evaluations/{evaluation_id} \
--header 'Authorization: Bearer <token>'{
"executed_date": "<string>",
"evaluation_status": "PENDING",
"number_of_test_cases": 123,
"executed_by": "<string>",
"id": "<string>",
"aggregate_metrices": {
"tool_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"accuracy": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
}
},
"answer_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
},
"correctness": {
"value": 123,
"status": "<string>"
},
"faithfulness": {
"value": 123,
"status": "<string>"
}
},
"transaction_completion": {
"average": {
"value": 123,
"status": "<string>"
},
"failed": 123,
"success": 123,
"total": 123
}
},
"agent_name": "<string>",
"agent_description": "<string>",
"agent_environment": []
}Get evaluation details for a given agent
curl --request GET \
--url https://{api_endpoint}/api/v1/orchestrate/agent/{agent_id}/evaluations/{evaluation_id} \
--header 'Authorization: Bearer <token>'{
"executed_date": "<string>",
"evaluation_status": "PENDING",
"number_of_test_cases": 123,
"executed_by": "<string>",
"id": "<string>",
"aggregate_metrices": {
"tool_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"accuracy": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
}
},
"answer_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
},
"correctness": {
"value": 123,
"status": "<string>"
},
"faithfulness": {
"value": 123,
"status": "<string>"
}
},
"transaction_completion": {
"average": {
"value": 123,
"status": "<string>"
},
"failed": 123,
"success": 123,
"total": 123
}
},
"agent_name": "<string>",
"agent_description": "<string>",
"agent_environment": []
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Date evaluated
Evaluation status
PENDING, IN_PROGRESS, COMPLETED, CANCELLED, FAILED Number of test cases
Run by user
Evaluation ID
Aggregated metrics
Show child attributes
Name of the agent
Description of the agent
List of environments associated with the agent
Show child attributes